{
open Parser

let string_of_token = function
    OR        -> "OR"
  | STAR      -> "STAR"
  | LPAREN    -> "LPAREN"
  | RPAREN    -> "RPAREN"
  | SYMBOL(x) -> "SYMBOL(" ^ String.make 1 x ^ ")"
  | EOF       -> "EOF"
}

rule token = parse
    '|'     { OR }
  | '*'     { STAR }
  | '('     { LPAREN }
  | ')'     { RPAREN }
  | _ as c  { SYMBOL c }
  | eof     { EOF }

